Bug 42567 - freetype: Multiple issues (ES 3.3)
freetype: Multiple issues (ES 3.3)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 3.3
Other Linux
: P3 normal (vote)
: UCS 3.3-1-errata
Assigned To: Arvid Requate
Janek Walkenhorst
:
Depends on:
Blocks: 39558
  Show dependency treegraph
 
Reported: 2016-10-05 10:22 CEST by Arvid Requate
Modified: 2017-07-20 15:01 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Security
Max CVSS v3 score: 6.8 (AV:N/AC:M/Au:N/C:P/I:P/A:P)
requate: Patch_Available+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2016-10-05 10:22:23 CEST
+++ This bug was initially created as a clone of Bug #39558 +++

Debian package version 2.4.2-2.1+squeeze6 fixes:

* remote denial of service (infinite loop) via a "broken number-with-base" in a Postscript stream (CVE-2014-9745)
* use of uninitialized data (CVE-2014-9746)
* t42parse.c vulnerability (CVE-2014-9747)


Note: backported patches present : 2.4.2-2.1+squeeze4-errata3.2-5
see Bug 37756 Comment 1.

+++ This bug was initially created as a clone of Bug #38465 +++
Comment 1 Arvid Requate univentionstaff 2017-03-07 17:33:19 CET
Imported and built in errata3.3-1.

I had to develop a couple of small patches to fix -Werror=unused-but-set-variable errors. I compared the source code to the 2.4.9-1.1 package and fixed those errors in the same way in 2.4.2-2.1+squeeze6.

Advisory: freetype.yaml
Comment 2 Arvid Requate univentionstaff 2017-04-18 14:24:42 CEST
I've backported an additional patch from Bug 40548:

* out-of-bounds write caused by a heap-based buffer overflow related to the cff_parser_run function in cff/cffparse.c. (CVE-2016-10328)

Package imported and built, advisory updated.
Comment 3 Janek Walkenhorst univentionstaff 2017-05-16 18:51:49 CEST
(In reply to Arvid Requate from comment #1)
> Imported and built in errata3.3-1.
The version number is too old:
 *** 2.4.2-2.1.63.201503191628 0
        500 http://…/3.2/maintained/ 3.2-6/amd64/ Packages
        100 /var/lib/dpkg/status
     2.4.2-2.1.57.201203091245 0
        500 http://…/3.0/maintained/ 3.0-2/amd64/ Packages
     2.4.2-2.1.54.201112121554 0
        500 http://…/3.0/maintained/ 3.0-1/amd64/ Packages
     2.4.2-2.1.52.201110271253 0
        500 http://…/3.0/maintained/ 3.0-0/amd64/ Packages
     2.4.2-2.1~ucs3.3.75.201704181410 0
        500 http://…/ ucs_3.3-0-errata3.3-1/amd64/ Packages

> Advisory: freetype.yaml
The advisory seems to be missing?
Comment 4 Janek Walkenhorst univentionstaff 2017-05-16 18:55:20 CEST
(In reply to Janek Walkenhorst from comment #3)
> > Advisory: freetype.yaml
> The advisory seems to be missing?
I was wrong.
Comment 5 Arvid Requate univentionstaff 2017-06-26 17:01:48 CEST
Fixed: 2.4.2-2.1.79.201706261646
Comment 6 Janek Walkenhorst univentionstaff 2017-07-14 17:14:44 CEST
Advisory: OK
Tests: OK
Comment 7 Janek Walkenhorst univentionstaff 2017-07-20 15:01:06 CEST
<http://errata.software-univention.de/ucs/3.3/38.html>